Attaching to Events

Read as Markdown

Description #

This is an additional attachments array attribute of the Event object passed to the Create or Update Event endpoint.

{
  ...,
  "attachments" : [
    {
      "attachment_id": "att_5e10d41167edaf4b213e94fe"
    },
    {
      "attachment_id": "att_5e4d5a6668ed0f4b213e90fe"
    }
  ]
}

Request parameters #

attachments.attachment_id Required  #

The attachment_id of an attachment previously uploaded by your application. See Create Attachment. This can include up to five attachments.

Provider support #

Attachment support has varying degrees of maturity across providers and calendar apps. The following list documents issues we’ve encountered which we are unable to control.

Apple Calendars #

Apple calendars accept one attachment per event.

Apple calendar apps have varying degrees of support:

  • iCloud Web app does not show any attachments
  • MacOS Calendar app shows the attachment added when creating the event, but does not track attachments being removed
  • iOS app works as expected - tracks attachment updates and removal